Debian Bug report logs - #635672
ITP: libswe -- Swiss Ephemeris

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Paul Elliott <pelliott@blackpatchpanel.com>

Date: Thu, 28 Jul 2011 01:39:01 UTC

Owned by: Paul Elliott <pelliott@blackpatchpanel.com>

Severity: wishlist

Fixed in versions 1.77.00.0004-1, libswe/1.77.00.0005-2

Done: jaldhar@debian.org (Jaldhar H. Vyas)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#635672; Package wnpp. (Thu, 28 Jul 2011 01:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Elliott <pelliott@blackpatchpanel.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Thu, 28 Jul 2011 01:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Elliott <pelliott@blackpatchpanel.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libswe -- Swiss Ephemeris
Date: Wed, 27 Jul 2011 20:36:59 -0500
[Message part 1 (text/plain, inline)]
Package: WNPP
Severity: wishlist

* Package name    : libswe
  Version         : 1.77.00
  Upstream Author : Dieter Koch and Alois Treindl
* URL             : http://www.astro.com/swisseph/
* License         : GPL2+
  Programming Lang: C
  Description     : The SWISS EPHEMERIS is the high precision ephemeris 
developed by Astrodienst, largely based upon the DE406 ephemeris from 
NASA's JPL.

The Swiss Ephemeris offers these advantages:

The Swiss Ephemeris is based upon the latest planetary and lunar
ephemeris, DE405/406, developed by NASA's Jet Propulsion
Laboratory. The original integration, DE405, covered the years 3000 BC
to 3000 AD and required 550 Mb of disk space. DE406 is a compressed
version of DE405 which requires 200 MB while maintaining a precision
of better than 1 m for the moon and 25 m for the planets. These data
have been further compressed with sophisticated compression techniques
developed by Astrodienst. The ephemeris now requires for the complete
6000 years only 5 Mb for all planets except the Moon, and 13 Mb for
the Moon. This compressed ephemeris reproduces the JPL data with 0.001
arcseconds precision.

We have extended the timespan of the JPL ephemeris by numerical
integration, so that Swiss Ephemeris covers the years 5400 BC to 5400
AD, a total of 10'800 years. For this extended timespan the ephemeris
requires 32 Mbytes of ephemeris files.

All transformation steps from the inertial timeframe of the JPL DE406
integration to the reference frame for astrological coordinates (true
equinox of date), all corrections like relativistic aberration,
deflection of light in the gravity field of the Sun etc. have been
performed with utmost care and precision so that the target precision
of 0.001 arcsec is maintained through all transformation steps. Never
before has such a high precision ephemeris been available to
astrologers.

Swiss Ephemeris contains three ephemerides. The user can choose
whether he/she wants to use the original JPL DE406 data (if available
at his/her site), the compressed Swiss Ephemeris data (the default) or
a built in semianalytic theory by Steve Moshier. The Swiss Ephemeris
package switches automatically to the available best precision
ephemeris dependent on which installed ephemeris files it finds. Even
without any stored ephemeris files, using the Moshier model, planetary
positions with better than 0.1 seconds of arc precision are available
(3 arcsec for the Moon).

In addition to the astronomical planets as contained in the JPL
integration, we have included all other bodies and hypothetical
factors which are of interest to the astrologer. We have used our own
numerical integration program to provide ephemerides for ALL known
asteroids. There are over 55'000 of them and nobody will be able to
use them all. We distribute these extended asteroid files via our
download area; there are also CDROMs available with large sets of
asteroid files.

Asteroid reaserachers may be interested in a December 1998 article in
the Economist magazine about the naming of asteroids.

Speed: The Swiss Ephemeris is precise and fast. On our Linux test
machine, a 1000 MHz Pentium III, we compute 10'000 complete sets of
planetary positions, i.e. 10'000 x 11 planets, in 9 seconds. This is
0.9 milliseconds for the complete set of exact planetary positions
(consecutive 1 day steps).



-- System Information:
Debian Release: 5.0.8
  APT prefers oldstable-proposed-updates
  APT policy: (500, 'oldstable-proposed-updates'), (500, 'oldstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- 
Paul Elliott                               1(512)837-1096
pelliott@BlackPatchPanel.com               PMB 181, 11900 Metric Blvd Suite J
http://www.free.blackpatchpanel.com/pme/   Austin TX 78758-3117
[signature.asc (application/pgp-signature, inline)]

Owner recorded as Paul Elliott <pelliott@blackpatchpanel.com>. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Tue, 10 Jan 2012 01:13:20 GMT) Full text and rfc822 format available.

Reply sent to debian-devel@lists.debian.org:
You have taken responsibility. (Wed, 08 Feb 2012 05:48:04 GMT) Full text and rfc822 format available.

Notification sent to Paul Elliott <pelliott@blackpatchpanel.com>:
Bug acknowledged by developer. (Wed, 08 Feb 2012 05:48:04 GMT) Full text and rfc822 format available.

Message #12 received at 635672-done@bugs.debian.org (full text, mbox):

From: jaldhar@debian.org (Jaldhar H. Vyas)
To: debian-devel-changes@lists.debian.org
Subject: Accepted libswe 1.77.00.0004-1 (source all i386)
Date: Tue, 24 Jan 2012 21:02:57 +0000
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 14 Jan 2012 00:52:17 -0600
Source: libswe
Binary: libswe-doc libswe-dev libswe0 swe-basic-data
Architecture: source all i386
Version: 1.77.00.0004-1
Distribution: unstable
Urgency: low
Maintainer: Paul Elliott <pelliott@blackpatchpanel.com>
Changed-By: Jaldhar H. Vyas <jaldhar@debian.org>
Description: 
 libswe-dev - C library for The Swiss Ephemeris
 libswe-doc - documentation for the libswe package
 libswe0    - C library for the Swiss Ephemeris
 swe-basic-data - basic data files for the libswe package
Changes: 
 libswe (1.77.00.0004-1) unstable; urgency=low
 .
   * New upstream release
   * move files to $(pkgdatadir)/ephe/
   * upgrade to Standards-Version: 3.9.2
Checksums-Sha1: 
 ed8338604f93002c39cd3a18674037a564ee242a 1523 libswe_1.77.00.0004-1.dsc
 76f0c2b1312252a2805dd431f8b54752a2e7dcab 844521 libswe_1.77.00.0004.orig.tar.bz2
 2ed7b410a3f3db6c30d5af5fc0aab998fd2a8c06 10649 libswe_1.77.00.0004-1.debian.tar.gz
 4014fb344a4628321339c811061c69e0b1c3f61f 1017052 libswe-doc_1.77.00.0004-1_all.deb
 505d9ad5e06768b46df1321116443ae6e669c685 301190 libswe-dev_1.77.00.0004-1_i386.deb
 731b245a926940ef09a84b33d2767ad59836244d 212330 libswe0_1.77.00.0004-1_i386.deb
 734b2877e9fb507be30e2bbe01581e9a8543178b 92350 swe-basic-data_1.77.00.0004-1_all.deb
Checksums-Sha256: 
 c0b61ea69a4e3bbfeefa9755af6af22829b9da965e47d2dfde7ec2aab19eb9fe 1523 libswe_1.77.00.0004-1.dsc
 ace7324107cbab624cd95535a638078a3de0bfdb774c4b2392945a9c60b9e25b 844521 libswe_1.77.00.0004.orig.tar.bz2
 5bc30b6ca5ea4568e1a9c64814cae98240f33a09625d5604ef18ac3df742b2f0 10649 libswe_1.77.00.0004-1.debian.tar.gz
 b5bd31271320fc0646af2c5a7fd768da62abc3ac713b6f79a22186af02080176 1017052 libswe-doc_1.77.00.0004-1_all.deb
 1db12c1675bba245a70059658014e2beb191e22b8b34a4be4ef86daa3e802f34 301190 libswe-dev_1.77.00.0004-1_i386.deb
 c3b2a049820b0571b5e86acd4261063c6b71e4582b17110f1ab10d7c157af06c 212330 libswe0_1.77.00.0004-1_i386.deb
 9be324f067f407848f4b12cfb072c2333b273c7da9fbd2eae2e69f5b9ae48c51 92350 swe-basic-data_1.77.00.0004-1_all.deb
Files: 
 02cbfca42dffdbfdc6a4092541b699ab 1523 libs extra libswe_1.77.00.0004-1.dsc
 25f55d3e335ecf09201cdf1e0c7e73e3 844521 libs extra libswe_1.77.00.0004.orig.tar.bz2
 99c42fd92b562a63862ee136989be16b 10649 libs extra libswe_1.77.00.0004-1.debian.tar.gz
 584a2d6e3a7c8ce1a84aa3db1ca52b9d 1017052 doc extra libswe-doc_1.77.00.0004-1_all.deb
 b667f357ae9c1616abebddb68609553a 301190 libdevel extra libswe-dev_1.77.00.0004-1_i386.deb
 3d8e52b6f7e7604a686f5d212e0709c2 212330 libs extra libswe0_1.77.00.0004-1_i386.deb
 2e246bda180983d1508736fb11882dd9 92350 science extra swe-basic-data_1.77.00.0004-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk8dZ/UACgkQ2kYOR+5txmqFvQCbBTdWsvVGFlD9LuRHUAm1Lj6n
f7sAoJcczLgCgQ7mcFQad3m+Rs41FO2d
=Y9fU
-----END PGP SIGNATURE-----


Accepted:
libswe-dev_1.77.00.0004-1_i386.deb
  to main/libs/libswe/libswe-dev_1.77.00.0004-1_i386.deb
libswe-doc_1.77.00.0004-1_all.deb
  to main/libs/libswe/libswe-doc_1.77.00.0004-1_all.deb
libswe0_1.77.00.0004-1_i386.deb
  to main/libs/libswe/libswe0_1.77.00.0004-1_i386.deb
libswe_1.77.00.0004-1.debian.tar.gz
  to main/libs/libswe/libswe_1.77.00.0004-1.debian.tar.gz
libswe_1.77.00.0004-1.dsc
  to main/libs/libswe/libswe_1.77.00.0004-1.dsc
libswe_1.77.00.0004.orig.tar.bz2
  to main/libs/libswe/libswe_1.77.00.0004.orig.tar.bz2
swe-basic-data_1.77.00.0004-1_all.deb
  to main/libs/libswe/swe-basic-data_1.77.00.0004-1_all.deb




Reply sent to jaldhar@debian.org (Jaldhar H. Vyas):
You have taken responsibility. (Tue, 14 Feb 2012 06:24:03 GMT) Full text and rfc822 format available.

Notification sent to Paul Elliott <pelliott@blackpatchpanel.com>:
Bug acknowledged by developer. (Tue, 14 Feb 2012 06:24:04 GMT) Full text and rfc822 format available.

Message #17 received at 635672-close@bugs.debian.org (full text, mbox):

From: jaldhar@debian.org (Jaldhar H. Vyas)
To: 635672-close@bugs.debian.org
Subject: Bug#635672: fixed in libswe 1.77.00.0005-2
Date: Tue, 14 Feb 2012 06:20:11 +0000
Source: libswe
Source-Version: 1.77.00.0005-2

We believe that the bug you reported is fixed in the latest version of
libswe, which is due to be installed in the Debian FTP archive:

libswe-dev_1.77.00.0005-2_i386.deb
  to main/libs/libswe/libswe-dev_1.77.00.0005-2_i386.deb
libswe-doc_1.77.00.0005-2_all.deb
  to main/libs/libswe/libswe-doc_1.77.00.0005-2_all.deb
libswe0_1.77.00.0005-2_i386.deb
  to main/libs/libswe/libswe0_1.77.00.0005-2_i386.deb
libswe_1.77.00.0005-2.debian.tar.gz
  to main/libs/libswe/libswe_1.77.00.0005-2.debian.tar.gz
libswe_1.77.00.0005-2.dsc
  to main/libs/libswe/libswe_1.77.00.0005-2.dsc
swe-basic-data_1.77.00.0005-2_all.deb
  to main/libs/libswe/swe-basic-data_1.77.00.0005-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 635672@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jaldhar H. Vyas <jaldhar@debian.org> (supplier of updated libswe package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 08 Feb 2012 01:27:27 -0600
Source: libswe
Binary: libswe-doc libswe-dev libswe0 swe-basic-data
Architecture: source all i386
Version: 1.77.00.0005-2
Distribution: unstable
Urgency: low
Maintainer: Paul Elliott <pelliott@blackpatchpanel.com>
Changed-By: Jaldhar H. Vyas <jaldhar@debian.org>
Description: 
 libswe-dev - C library for The Swiss Ephemeris
 libswe-doc - documentation for the libswe package
 libswe0    - C library for the Swiss Ephemeris
 swe-basic-data - basic data files for the libswe package
Closes: 635672 657275
Changes: 
 libswe (1.77.00.0005-2) unstable; urgency=low
 .
   * remove separate Build-Depends-Indep: line for unoconv
     This webpage
     http://asylum.madhouse-project.org/blog/2012/01/26/buildd-workarounds/
     says it is possible figure out how to build differently
     depending on if you need the indep stuff, but in practice
     it is too difficult to maintain. Human time is more expensive
     than computer time. (closes: #657275)
 .
 libswe (1.77.00.0005-1) unstable; urgency=low
 .
   * New upstream release
   * empty writable home dir for LO (closes: #657275)
   * Build-Depends-Indep for LO and dependencies
 .
 libswe (1.77.00.0004-1) unstable; urgency=low
 .
   * New upstream release
   * move files to $(pkgdatadir)/ephe/
   * upgrade to Standards-Version: 3.9.2
 .
 libswe (1.77.00.0003-1) natty; urgency=low
 .
   * New upstream release
   * replace openoffice transition packages with libreoffice packages
   * props needed by new release
 .
 libswe (1.77.00.0002-2) unstable; urgency=low
 .
   * location of upstream host moved from berlios to Gna! change docs
 .
 libswe (1.77.00.0002-1) natty; urgency=low
 .
   * create separate -doc package.
 .
 libswe (1.77.00.0001-1) unstable; urgency=low
 .
   * Initial release (Closes: #635672)  <635672 is the bug number of your ITP>
   * done dh_make much configuring remains to be done.
   * remove emacsen-*
   * rename BROKEN to 0. add descriptions. fill in homepage.
   * remove .la file
   * new package swe-basic-data
   * remove init.d.ex, libswe.default.ex
   * install usr/share/doc/libswe/*
   * libswe.doc-base pdf and html
   * Readme.Debian
   * manpage.3
   * libswe.manpage
   * TODO
   * ${misc:Depends} added to libswe-dev
   * move *.ex elsewhere
   * usb/bin added libswe-dev for asample programs.
   * libswe-dev.docbase now uses /usr/share/doc/libswe-dev
   * usr/share/pkgconfig not used in libswe-dev.install
   * build depends on unoconv
   * remove LICNESE in copyright
   * remove upstream INSTALL
   * libswe-dev.manpages
   * swetest.c swemini.c are examples
   * specify them by orignal location.
   * remove upstream ChangeLog
   * add swetest.1 swemini.1 manpages
   * move man pages to swissephauto project
   * move data files to $(pkgdatadir)/users/ephe/
   * patch SE_EPHE_PATH to be a directory that exists!
   * this is ephepath-fix
   * add vcs-svn, vcs-browser
   * control Recommends: swe-basic-data, swe-standard-data
   * explain multi tar ball source.
   * openoffice.org-writer, openoffice.org-java-common needed for unoconv work
   * fix section in control file
   * create a comment only watch file
   * increase description verbosity in control file
   * remove 1st person reference from libswe-dev.doc-base.swisseph
   * new debian/libswe0.symbols file
   * move docdir to /usr/share/doc/libswe-dev
   * insure copyright installed.
   * make install does not install misc docs debian/docs does instead.
Checksums-Sha1: 
 163ee70d4dc57d3ffb008015299ad76767de322e 1523 libswe_1.77.00.0005-2.dsc
 773f295a04d02c433892b87f782ae3b053057061 10968 libswe_1.77.00.0005-2.debian.tar.gz
 b3750c0fa9f604a04db4bd72daa5ed21775f0e0d 1017356 libswe-doc_1.77.00.0005-2_all.deb
 2b57666e3ecc0eff006bcd0852b76efae3ba3c0c 301420 libswe-dev_1.77.00.0005-2_i386.deb
 4c61c09409743334b73bf6a8c988a3a02840acb0 212622 libswe0_1.77.00.0005-2_i386.deb
 78802f4b44c0f177184a1dfe9947e2f7fa8bb254 92668 swe-basic-data_1.77.00.0005-2_all.deb
Checksums-Sha256: 
 3de29fd7d3e5fb4f963b4aa0514d8fb29b20d133c6bad29f673988224dae94dc 1523 libswe_1.77.00.0005-2.dsc
 4222dfb780c67edd161eb7c97c1c8c40e957c8ad7b559e49c726968290dc8702 10968 libswe_1.77.00.0005-2.debian.tar.gz
 051920a92570b6228ee654f7db467b5fed68b97fe7d88aaf8c2d472121a81b97 1017356 libswe-doc_1.77.00.0005-2_all.deb
 6f7e064c638bf748580a94d9b624b85e3249104073ae49a6d4e57efcf52aa99e 301420 libswe-dev_1.77.00.0005-2_i386.deb
 e1ca56272783210b818bfa0ae25517629c1c851e541d6b4be275a6ca8ecd4e63 212622 libswe0_1.77.00.0005-2_i386.deb
 5424319b716fc7b54e176395ba2ce84b1841e8f4bdbf6172b705f358e76c1291 92668 swe-basic-data_1.77.00.0005-2_all.deb
Files: 
 1f506b4f1167d67616bf1d57208ab58c 1523 libs extra libswe_1.77.00.0005-2.dsc
 9b0fd8181b978379e53001cc724277ff 10968 libs extra libswe_1.77.00.0005-2.debian.tar.gz
 d287f29031156f0c2f2b05487e51779b 1017356 doc extra libswe-doc_1.77.00.0005-2_all.deb
 233471d20c0976e16f34bc1190166066 301420 libdevel extra libswe-dev_1.77.00.0005-2_i386.deb
 20daea2b33ca40e851aa40fc23f38d0a 212622 libs extra libswe0_1.77.00.0005-2_i386.deb
 a338f617206dc2a31fbd4809e9925dc2 92668 science extra swe-basic-data_1.77.00.0005-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk859f0ACgkQ2kYOR+5txmpNOgCeKZz6V+kdf1HDO6T52GCt8DtV
AxkAoIYIhRKunKFlYYERsjRX1j7WRbH2
=Hwpa
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Mar 2012 07:34:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:32:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.